<div class="all-container">

    <h1>Search product in list by name list</h1>
    <br>

    <form [formGroup]="myForm">
        <table class="table-container" cellspacing="0">
            <tr>
                <td class="column-half">
                    <mat-form-field class="input-container">
                        <input matInput type="text" formControlName="listname" aria-label="text" [formControl]="myControl" [matAutocomplete]="auto" placeholder="Insert list name">
                        <mat-autocomplete #auto="matAutocomplete">
                            <mat-option *ngFor="let option of filteredOptions | async" [value]="option.listname" (click)="setValue(option)">
                                {{option != null ? (option.listname) : ""}}
                            </mat-option>
                        </mat-autocomplete>
                    </mat-form-field>
                </td>
            </tr>
        </table>
    </form>

    <mat-toolbar>
        <mat-toolbar-row>
            <p class="summary-container">List name: {{ infoDataOrder != null ? (infoDataOrder.listname | uppercase) : "" }}</p>
            <p class="summary-container">Date order: {{ infoDataOrder != null ? (infoDataOrder.date_order | date) : "" }}</p>
        </mat-toolbar-row>

        <mat-toolbar-row>
            <p class="summary-container">Expiration date: {{ infoDataOrder != null ? (infoDataOrder.expiration_date | date) : "" }}</p>
            <p class="summary-container">Price of list: {{ infoDataOrder != null ? (infoDataOrder.price_store + "€") : "" }}</p>
        </mat-toolbar-row>
    </mat-toolbar>

    <br>
    <button mat-raised-button color="warn" (click)="clearForm()">Clear form</button>
    <br> <br>

    <div class="table-container mat-elevation-z8" *ngIf="isShowed">

        <mat-table #table [dataSource]="dataSource">

            <ng-container matColumnDef="name">
                <mat-header-cell *matHeaderCellDef> Name product </mat-header-cell>
                <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>
            </ng-container>

            <ng-container matColumnDef="description">
                <mat-header-cell *matHeaderCellDef> Description product</mat-header-cell>
                <mat-cell *matCellDef="let element"> {{element.description}} </mat-cell>
            </ng-container>

            <ng-container matColumnDef="price">
                <mat-header-cell *matHeaderCellDef> Price </mat-header-cell>
                <mat-cell *matCellDef="let element"> {{element.price}} </mat-cell>
            </ng-container>

            <ng-container matColumnDef="quantity">
                <mat-header-cell *matHeaderCellDef> Quantity </mat-header-cell>
                <mat-cell *matCellDef="let element"> {{element.quantity}} </mat-cell>
            </ng-container>

            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row *matRowDef="let row; columns: displayedColumns;" [ngClass]="{'make-completed': row.completed}">
            </mat-row>
        </mat-table>

        <mat-paginator #paginator [pageSize]=" 10 " [pageSizeOptions]="[5, 10, 20] " [showFirstLastButtons]="true">
            <button>sdfadsaasd</button>
        </mat-paginator>
    </div>

</div>